Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Database XML Java API Reference 10g Release 2 (10.2) B14293-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.soap.encoding.soapenc
Class BeanMultiRefSerializer

`java.lang.Object
org.apache.soap.encoding.soapenc.BeanMultiRefSerializer`

All Implemented Interfaces:
  Deserializer, Serializer

public class BeanMultiRefSerializer
extends java.lang.Object
implements Serializer, Deserializer

A `BeanMultiRefSerializer` can be used to serialize JavaBeans using the multiRef `SOAP-ENC` encoding style. The public properties of the bean become named accessors.

Constructor Summary
`BeanMultiRefSerializer()`

Method Summary
`void` | `marshall(java.lang.String inScopeEncStyle, java.lang.Class javaType, java.lang.Object src, java.lang.Object context, java.io.Writer sink, NSStack nsStack, XMLJavaMappingRegistry xjmr, SOAPContext ctx)`
`Bean` | `unmarshall(java.lang.String inScopeEncStyle, QName elementType, Node src, XMLJavaMappingRegistry xjmr, SOAPContext ctx)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BeanMultiRefSerializer

    public BeanMultiRefSerializer()

Method Detail

### marshall

    public void marshall(java.lang.String inScopeEncStyle,
                         java.lang.Class javaType,
                         java.lang.Object src,
                         java.lang.Object context,
                         java.io.Writer sink,
                         NSStack nsStack,
                         XMLJavaMappingRegistry xjmr,
                         SOAPContext ctx)
                  throws java.lang.IllegalArgumentException,
                         java.io.IOException

  Specified by:
    `marshall` in interface `Serializer`
  Throws:
    `java.lang.IllegalArgumentException`
    `java.io.IOException`

### unmarshall

    public Bean unmarshall(java.lang.String inScopeEncStyle,
                           QName elementType,
                           Node src,
                           XMLJavaMappingRegistry xjmr,
                           SOAPContext ctx)
                    throws java.lang.IllegalArgumentException

  Specified by:
    `unmarshall` in interface `Deserializer`
  Throws:
    `java.lang.IllegalArgumentException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Database XML Java API Reference 10g Release 2 (10.2) B14293-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 The Apache Software Foundation. All rights reserved.